package com.sky.ioc.controller.data;

import com.sky.ioc.entity.domain.data.Building;
import com.sky.ioc.entity.domain.data.UnderlyingSystem;
import com.sky.ioc.service.data.UnderlyingSystemService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "数据管理--底层系统信息")
@Slf4j
@RestController
@RequestMapping("/data")
public class UnderlyingSystemController {

    @Autowired
    UnderlyingSystemService underlyingSystemService;

    @ApiOperation("添加底层系统信息")
    @PostMapping(value = "/underlying_system")
    public ReturnMsg addUnderlyingSystem(UnderlyingSystem underlyingSystem) {
        return underlyingSystemService.addUnderlyingSystem(underlyingSystem);
    }
    @ApiOperation("获取底层系统")
    @GetMapping(value = "/underlying_system")
    public ReturnMsg getUnderlyingSystem() {
        return underlyingSystemService.getList();
    }
}
