package com.sky.ioc.controller.device;

import com.sky.ioc.entity.domain.device.DeviceType;
import com.sky.ioc.service.device.DeviceTypeService;
import com.sky.ioc.service.device.EnergyDeviceTypeService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "设备管理--设备类型")
@Slf4j
@RestController
@RequestMapping("/device")
public class DeviceTypeController {

    @Autowired
    DeviceTypeService deviceTypeService;

    @Autowired
    EnergyDeviceTypeService energyDeviceTypeService;

    @ApiOperation("删除设备类型")
    @DeleteMapping(value = "/device_type")
    public ReturnMsg delDeviceType(String id) {
        return deviceTypeService.delDeviceType(id);
    }


    @ApiOperation("修改设备类别")
    @PutMapping(value = "/device_type")
    public ReturnMsg editDeviceType(String id,String name) {
        return deviceTypeService.editDeviceType(id,name);
    }

    @ApiOperation("添加设备类型")
    @PostMapping(value = "/device_type")
    public ReturnMsg addDeviceType(String name) {
        return deviceTypeService.addDeviceType(name);
    }
    @ApiOperation("设备类型列表")
    @GetMapping(value = "/device_type")
    public ReturnMsg getDeviceTypeList(String name) {
        return deviceTypeService.getDeviceType(name);

    }

    @ApiOperation("获取设备种类")
    @GetMapping(value = "/device_kind")
    public ReturnMsg getDeviceKind() {
        return energyDeviceTypeService.getTypeList();

    }


}
