package com.sky.ioc.controller.user;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.dto.LoginParam;
import com.sky.ioc.service.user.UserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "系统--登录")
@Slf4j
@RestController
public class LoginController {

    @Autowired
    private UserService userService;

    @ApiOperation("系统登录")
    @PostMapping("/login")
    public JSONObject login(LoginParam loginParam) {
        return userService.login(loginParam.getUsername(), loginParam.getPassword());
    }

}
