package com.sky.ioc.service.data.impl;

import com.sky.ioc.entity.domain.data.Building;
import com.sky.ioc.mapper.data.BuildingMapper;
import com.sky.ioc.service.data.BuildingService;
import com.sky.ioc.tool.ReturnMsg;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BuildingServiceImpl implements BuildingService {

    @Autowired
    BuildingMapper buildingMapper;

    @Override
    public ReturnMsg addBuilding(Building building) {
        if(StringUtils.isNotBlank(building.getName())){
            buildingMapper.insert(building);
            return ReturnMsg.ok();
        }else{
            return ReturnMsg.fail("楼宇名称不能为空");
        }
    }

    @Override
    public ReturnMsg delBuilding(Integer id) {
        if(id!=null){
            buildingMapper.deleteById(id);
            return ReturnMsg.ok();
        }else{
            return ReturnMsg.fail("楼宇id不能为空");
        }
    }

    @Override
    public ReturnMsg editBuilding(Building building) {
        if(building.getId()!=null&&StringUtils.isNotBlank(building.getName())){
            buildingMapper.updateById(building);
            return ReturnMsg.ok();
        }else{
            return ReturnMsg.fail("楼宇id和楼宇名称不能为空");
        }
    }

    @Override
    public ReturnMsg getById(Integer id) {
        if(id!=null){
            Building building = buildingMapper.selectById(id);
            return  ReturnMsg.ok(building);
        }else {
            return ReturnMsg.fail("楼宇id不能为空");
        }
    }

    @Override
    public ReturnMsg getList() {
        List<Building> lists = buildingMapper.selectList(null);
        return ReturnMsg.ok(lists);
    }
}
