package com.sky.ioc.service.device.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.sky.ioc.entity.domain.data.Template;
import com.sky.ioc.entity.domain.device.DeviceMessage;
import com.sky.ioc.mapper.device.DeviceMessageMapper;
import com.sky.ioc.service.device.DeviceMessageService;
import com.sky.ioc.tool.ReturnMsg;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DeviceMessageServiceImpl implements DeviceMessageService {

    @Autowired
    DeviceMessageMapper deviceMessageMapper;

    @Override
    public ReturnMsg delDeviceMessage(String id) {
        if(StringUtils.isNotBlank(id)){
            UpdateWrapper updateWrapper = new UpdateWrapper();
            updateWrapper.eq("id",id);
            updateWrapper.set("type",null);
            deviceMessageMapper.update(null,updateWrapper);
            return ReturnMsg.ok();
        }else{
            return ReturnMsg.fail("告警消息id不能为空");
        }
    }

    @Override
    public ReturnMsg getList(String type, Integer page, Integer page_size) {
        if(StringUtils.isNotBlank(type)){
            PageHelper.startPage(page,page_size);
            List<DeviceMessage> lists = deviceMessageMapper.selectList(new LambdaQueryWrapper<DeviceMessage>().eq(DeviceMessage::getType,type));
            ReturnMsg<Object> ok = ReturnMsg.ok();
            PageInfo<DeviceMessage> pageInfo = PageInfo.of(lists);
            ok.setData(lists);
            ok.setTotal(pageInfo.getTotal());
            return ok;
        }else{
            return ReturnMsg.fail("告警类别不能为空");
        }
    }






}
