package com.sky.ioc.service.index.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.config.RestTemplateConfig;
import com.sky.ioc.service.index.IndexService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.util.UriComponentsBuilder;

@Service
public class IndexServiceImpl implements IndexService {

    @Value("${sky.front-server-url}")
    private String iocServerUrl;

    @Autowired
    private RestTemplateConfig restTemplateConfig;

    @Override
    public ReturnMsg editIndex(String data) {
        RestTemplate restTemplate = restTemplateConfig.build();
        String url = iocServerUrl + "/system_index/editIndex";
        UriComponentsBuilder builder = UriComponentsBuilder.fromUriString(url)
                .queryParam("data", JSON.parse(data));
        JSONObject forObject = restTemplate.postForObject(builder.build().toString(), null, JSONObject.class);
        return ReturnMsg.ok(forObject);
    }

    @Override
    public ReturnMsg getSystemMenusList(Integer parentId) {
        RestTemplate restTemplate = restTemplateConfig.build();
        String url = iocServerUrl + "/system_index/getSystemMenusList";
        UriComponentsBuilder builder = UriComponentsBuilder.fromUriString(url)
                .queryParam("parentId", parentId);
        JSONObject forObject = restTemplate.getForObject(builder.build().toString(), JSONObject.class);
        return ReturnMsg.ok(forObject);
    }

    @Override
    public ReturnMsg getIndexList(Integer page, Integer pageSize, Integer parentId) {
        RestTemplate restTemplate = restTemplateConfig.build();
        String url = iocServerUrl + "/system_index/getIndexList";
        UriComponentsBuilder builder = UriComponentsBuilder.fromUriString(url)
                .queryParam("parentId", parentId)
                .queryParam("pageSize", pageSize)
                .queryParam("page", page);
        JSONObject forObject = restTemplate.getForObject(builder.build().toString(), JSONObject.class);
        return ReturnMsg.ok(forObject);
    }

}
