package com.sky.ioc.service.user.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sky.ioc.entity.domain.system.Menus;
import com.sky.ioc.mapper.user.MenusMapper;
import com.sky.ioc.service.user.PermissionService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class PermissionServiceImpl implements PermissionService {

    @Autowired
    private MenusMapper menusMapper;

    @Override
    public ReturnMsg getPermission() {
        List<Menus> menus = menusMapper.selectList(new LambdaQueryWrapper<>());
        List<Menus> menus1 = this.buildTree(menus);
        return ReturnMsg.ok(menus1);
    }

    private List<Menus> buildTree(List<Menus> menusList) {
        List<Menus> tree = new ArrayList<>();
        List<Menus> roots = menusList.stream().filter(item -> item.getParent_id() == 0).collect(Collectors.toList());
        roots.forEach(item->tree.add(findChildren(item, menusList)));
        return tree;
    }

    private Menus findChildren(Menus menus, List<Menus> menusList) {
        menusList.stream().filter(node -> menus.getId().equals(node.getParent_id())).collect(Collectors.toList()).forEach(node -> {
            if (menus.getChildren() == null) {
                menus.setChildren(new ArrayList<>());
            }
            menus.getChildren().add(findChildren(node, menusList));
        });
        return menus;
    }
}
